## escapework/manager-news

Módulo para gerenciamento de noticias

## Instalação

Adiciona os seguintes itens no seu `composer.json` e execute um `composer update`:

```json
{
    "require": {
        "escapework/manager-news": "0.6.*"
    },

    "repositories": [
        {
            "type": "composer",
            "url": "http://packages.escape.ppg.br"
        }
    ],
}
```

### ServiceProvider

Adicione a linha `'EscapeWork\Manager\News\Providers\ManagerNewsServiceProvider'` no array de Service Providers no arquivo `app/config/app.php`.

### Configurações

Execute o comando para executar as configurações necessárias.

```sh
$ php artisan manager-news:configure
```

### Cadastrando uma noticia

Para salvar a noticia no front-end, você pode apenas registrar uma rota utilizando a função `store` do `NewsController`.

```php
Route::post('/noticias', 'EscapeWork\Manager\News\NewsController@store');
```

Se o contato já existir na hora de salvar, suas informações apenas são atualizadas.

### Manager

Depois disso, você já poderá acessar o cadastro de banners pela URL http://seusite/manager/noticias.


### RSS

NewsController já possui o método `rss` responsavel pelos feeds de notícias.

### Todo

* Testes unitários;

